local mod
    for _, m in pairs(BLT.Mods:Mods()) do
        if m:GetName() == "LMG Steelsights v0.62" then
            mod = m
            break
        end
    end

Hooks:PostHook( PlayerTweakData, "init", "M14E2StanceTweakData", function(self)
	
	--killerwolf method, using adjustment value
	self.stances.m14e2_ads = deep_clone(self.stances.new_m14)
	local ironsight_translation = Vector3(-0.032, 0, -0.006)
	self.stances.m14e2_ads.steelsight.shoulders.translation = self.stances.m14e2_ads.steelsight.shoulders.translation + ironsight_translation
	
	self.stances.m14e2_gl = deep_clone(self.stances.contraband)
	local ironsight_translation = Vector3(0, -10, 2.1)
	self.stances.m14e2_gl.steelsight.shoulders.translation = self.stances.m14e2_gl.steelsight.shoulders.translation + ironsight_translation
	local standard_translation = Vector3(0.5, -8, 2)
	self.stances.m14e2_gl.standard.shoulders.translation = self.stances.m14e2_gl.standard.shoulders.translation + standard_translation
	
	--check for LMG steelsight mod
	if mod and mod:IsEnabled() then
		self.stances.m14e2_vg = deep_clone(self.stances.rpk)
		local ironsight_translation = Vector3(0.05, 0, -0.4)
		self.stances.m14e2_vg.steelsight.shoulders.translation = self.stances.m14e2_vg.steelsight.shoulders.translation + ironsight_translation
		local standard_translation = Vector3(-2, -6, 0)
		self.stances.m14e2_vg.standard.shoulders.translation = self.stances.m14e2_vg.standard.shoulders.translation + standard_translation
	else
		self.stances.m14e2_vg = deep_clone(self.stances.new_m14)
		local ironsight_translation = Vector3(0.293, 12, 0.4)
		self.stances.m14e2_vg.steelsight.shoulders.translation = self.stances.m14e2_vg.steelsight.shoulders.translation + ironsight_translation
		local standard_translation = Vector3(-1, 10, 1)
		self.stances.m14e2_vg.standard.shoulders.translation = self.stances.m14e2_vg.standard.shoulders.translation + standard_translation
	end
	
	--underbarrel held, angling a bit [messes with aiming if a sight is attached, since GL aiming still use sight stance_mod
	-- self.stances.m14e2_gl_held = deep_clone(self.stances.contraband)
	-- self.stances.m14e2_gl_held.steelsight.shoulders.translation = Vector3(-1.529, -2.934, 0.309)
	-- self.stances.m14e2_gl_held.steelsight.shoulders.rotation = Rotation(0, 2, 5)
	
end )