Hooks:PostHook( WeaponFactoryTweakData, "init", "M14E2ModInit", function(self)

	--Default Ironsight adjustment
	self.parts.wpn_fps_ass_m14e2_irons.stance_mod = {
		wpn_fps_ass_m14e2 = {
			translation = Vector3(0, -1.5, 0.25)
		}
	}
	--self.parts.wpn_fps_ass_m14e2_irons.weapon_stance_override = { bm_w_m14e2 = "m14e2_ads" }
	
	
	-- Vgrip anim
	self.parts.wpn_fps_ass_m14e2_fg_vgrip.override_weapon = { 
		use_stance = "m14e2_vg",
		weapon_hold = "rpk"
	}
	
	-- Underbarrel anim [m14e2_gl_held messes with aiming, more on playertweakdata hook]
	self.parts.wpn_fps_ass_m14e2_gl_m203.override_weapon = { 
		use_stance = "m14e2_gl",
		weapon_hold = "contraband"
	}
	self.parts.wpn_fps_ass_m14e2_gl_masterkey.override_weapon = { 
		use_stance = "m14e2_gl",
		weapon_hold = "contraband"
	}
	self.parts.wpn_fps_ass_m14e2_gl_flamer.override_weapon = { 
		use_stance = "m14e2_gl",
		weapon_hold = "contraband"
	}
		
	
	--Custom Optic
	--As of v1.0, _adjust part for sight arent used by the sight. They arent commented to not clutter the code view.
	--ANPVS
	self.parts.wpn_fps_upg_o_anpvs.stance_mod = {
		wpn_fps_ass_m14e2 = {
			translation = Vector3(0, -22, -5.45)
		}
	}
	self.parts.wpn_fps_upg_o_anpvs.texture_switch = nil
	
	--Colt
	self.parts.wpn_fps_upg_o_colt.stance_mod.wpn_fps_ass_m14e2 = {translation = Vector3(-0.03, 6, -5.21) + Vector3(0, -2, 0.5)}
	self.parts.wpn_fps_upg_o_colt.texture_switch = nil
	self.parts.wpn_fps_upg_o_colt_adjust.stance_mod = {
		wpn_fps_ass_m14e2 = {
			translation = Vector3(0, -2, 0.5)
		}
	}
	self.parts.wpn_fps_upg_o_colt_adjust.forbids = nil
	
	--Elbit
	self.parts.wpn_fps_upg_o_elbit.stance_mod.wpn_fps_ass_m14e2 = {translation = Vector3(-0.03, 0, -5.21) + Vector3(0, -2, 1)}
	self.parts.wpn_fps_upg_o_elbit_adjust.stance_mod = {
		wpn_fps_ass_m14e2 = {
			translation = Vector3(0, -2, 1)
		}
	}
	self.parts.wpn_fps_upg_o_elbit_adjust.forbids = nil
	
	--Aimpointx
	self.parts.wpn_fps_upg_o_aimpointx.stance_mod.wpn_fps_ass_m14e2 = {translation = Vector3(-0.03, 6, -5.21) + Vector3(0, -2, 1)}
	self.parts.wpn_fps_upg_o_aimpointx_adjust.stance_mod = {
		wpn_fps_ass_m14e2 = {
			translation = Vector3(0, -2, 1)
		}
	}
	self.parts.wpn_fps_upg_o_aimpointx_adjust.forbids = nil
	
	
	
	--Miscellanous Optic stuff
	self.wpn_fps_ass_m14e2.adds = {
		--Strap Ringhook compatiblity
		wpn_fps_ass_m14e2_body_upper = {
			"wpn_fps_ass_m14e2_body_straphook"
		},
		--Custom Optic
		wpn_fps_upg_o_colt = {
			"wpn_fps_ass_m14e2_scopemount"
		},
		wpn_fps_upg_o_anpvs = {
			"wpn_fps_ass_m14e2_scopemount"
		},
		wpn_fps_upg_o_aimpointx = {
			"wpn_fps_ass_m14e2_scopemount"
		},
		wpn_fps_upg_o_elbit = {
			"wpn_fps_ass_m14e2_scopemount"
		},
		--Vanilla Optic
		wpn_fps_upg_o_aimpoint = {
			"wpn_fps_ass_m14e2_scopemount"
		},
		wpn_fps_upg_o_aimpoint_2 = {
			"wpn_fps_ass_m14e2_scopemount"
		},
		wpn_fps_upg_o_docter = {
			"wpn_fps_ass_m14e2_scopemount"
		},
		wpn_fps_upg_o_reflex = {
			"wpn_fps_ass_m14e2_scopemount"
		},
		wpn_fps_upg_o_45rds = {
			"wpn_fps_ass_m14e2_offset_sight_rail"
		},
		wpn_fps_upg_o_45rds_v2 = {
			"wpn_fps_ass_m14e2_offset_sight_rail"
		},
		wpn_fps_upg_o_45steel = {
			"wpn_fps_ass_m14e2_offset_sight_rail"
		}
	}
	
	
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_ass_m14e2 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_ass_m14e2 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_ass_m14e2 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_ass_m14e2 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m14)
	
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_m14e2 = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_m14e2 = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_m14)
	self.parts.wpn_fps_upg_o_45steel.stance_mod.wpn_fps_ass_m14e2 = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_m14)
	
	if self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_xpsg33_magnifier then
		self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_m14e2 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_m14)
		self.parts.wpn_fps_upg_o_sig.stance_mod.wpn_fps_ass_m14e2 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_m14)
	else
		log("[ERROR] M14 Custom - Data for m14 scopemount not found! Cannot use magnifier gadget")
	end
	
	
	--Fixing 45deg gadget sight stance_mod
	self.parts.wpn_fps_ass_m14e2_fg_vgrip.override = {
        wpn_fps_upg_o_45rds = {stance_mod = {wpn_fps_ass_m14e2 = {
			translation = Vector3(-2.2, -10, -14.35),
			rotation = Rotation(0, 0, -45)
		}}},
        wpn_fps_upg_o_45rds_v2 = {stance_mod = {wpn_fps_ass_m14e2 = {
			translation = Vector3(-2.2, -10, -14.35),
			rotation = Rotation(0, 0, -45)
		}}},
        wpn_fps_upg_o_45steel = {stance_mod = {wpn_fps_ass_m14e2 = {
			translation = Vector3(-2.2, -10, -14.35),
			rotation = Rotation(0, 0, -45)
		}}}
	}
	if BeardLib.Utils:FindMod("Leupold DeltaPoint Sight on RM55 Mount") then
		self.parts.wpn_fps_ass_m14e2_fg_vgrip.override.wpn_fps_upg_o_delta_rm55 = {
			stance_mod = {wpn_fps_ass_m14e2 = {
				translation = Vector3(-2.2, -10, -14.35),
				rotation = Rotation(0, 0, -45)
			}}
		}
	end
	
	local underbarrels_m14e2 = {        
		"wpn_fps_ass_m14e2_gl_m203",
		"wpn_fps_ass_m14e2_gl_masterkey",
		"wpn_fps_ass_m14e2_gl_flamer"
    }
    for i, part_id in ipairs(underbarrels_m14e2) do
        if not self.parts[part_id].override then
            self.parts[part_id].override = {}
        end
        self.parts[part_id].override.wpn_fps_upg_o_45rds = {stance_mod = {wpn_fps_ass_m14e2 = {
			translation = Vector3(-2.3, -10, -14.25),
			rotation = Rotation(0, 0, -45)
		}}}
        self.parts[part_id].override.wpn_fps_upg_o_45rds_v2 = {stance_mod = {wpn_fps_ass_m14e2 = {
			translation = Vector3(-2.3, -10, -14.25),
			rotation = Rotation(0, 0, -45)
		}}}
        self.parts[part_id].override.wpn_fps_upg_o_45steel = {stance_mod = {wpn_fps_ass_m14e2 = {
			translation = Vector3(-2.3, -10, -14.25),
			rotation = Rotation(0, 0, -45)
		}}}
		if BeardLib.Utils:FindMod("Leupold DeltaPoint Sight on RM55 Mount") then
			self.parts[part_id].override.wpn_fps_upg_o_delta_rm55 = {stance_mod = {wpn_fps_ass_m14e2 = {
                translation = Vector3(-2.3, -10, -14.25),
                rotation = Rotation(0, 0, -45)
            }}}
		end
    end
	
end )