Hooks:PostHook(WeaponTweakData, "init", "M14E2ModInit", function(self)

	self.m14e2_crew = deep_clone(self.m14_crew)
	
if not BeardLib.Utils:FindMod("RestorationMod") then
	self.m14e2_crew.CLIP_AMMO_MAX = 20
	self.m14e2_crew.NR_CLIPS_MAX = 5
end

if self.m14e2 then
	self.m14e2.attachment_points = {
		{
			name = "a_b_m14e2",
			base_a_obj = "a_b",
			position = Vector3(0, 20, 0.25),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_vg_m14e2",
			base_a_obj = "a_body",
			position = Vector3(0, 33.5, 4.5),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_bp_m14e2",
			base_a_obj = "a_vg",
			position = Vector3(0, 10, -1),
			rotation = Rotation(0, 0, 0)
		},
		
		--Optic position
		{
			name = "a_o_m14e2",
			base_a_obj = "a_o_sm",
			position = Vector3(0, 0, -0.5),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_o_elbit_m14e2",
			base_a_obj = "a_o_sm",
			position = Vector3(0, 1, -1),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_o_aimpoint_m14e2",
			base_a_obj = "a_o_sm",
			position = Vector3(0, -4, -1),
			rotation = Rotation(0, 0, 0)
		},
		
		--Underbarrel position
		{
			name = "a_gl_m203_m14e2",
			base_a_obj = "a_b",
			position = Vector3(2.75, -11, -3),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_gl_mk_m14e2",
			base_a_obj = "a_vg",
			position = Vector3(0, 17.5, -1.75),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_gl_mk_rail",
			base_a_obj = "a_vg",
			position = Vector3(0, 4, 2),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_gl_flamer_m14e2",
			base_a_obj = "a_vg",
			position = Vector3(0, 15, 0),
			rotation = Rotation(0, 0, 0)
		},
		
		--Gadget Position
		{
			name = "a_fl_m203",
			base_a_obj = "a_fl",
			position = Vector3(0.25, -2, -0.5),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_fl",
			base_a_obj = "a_fl",
			position = Vector3(-0.5, -2, -0.5),
			rotation = Rotation(0, 0, 0)
		}
	}
end

end)